AOZ Studio Beta - Bug #408

Comma is ignored at the end of a print statement.

07/04/2020 09:05 AM - Brian Flanagan

Status: Resolved Start date: 07/04/2020
Priority: High Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 2:00 hours
Target version:

Affected version: Beta RC2

Description

Example:

#manifest: "pc"
#splashScreen: false
#speed: "safe"

#fps: false

x=1
y=2
z=3
X$=IIXII
y$=ny||
Z$:"Z"

Print x,v,z,
Print =8, V8,BS,
Print " done."

The output of the above should be on a single line.

History

#1 - 09/19/2020 01:12 PM - Brian Flanagan

- Assignee set to AOZ Studio Team

- Priority changed from Normal to High

- Affected version changed from 0.9.9.3 to Beta RC2

Commas at the end of a print statement are ignored.
The next print goes on the next line as if the , wasn't there.

Re-tested in Beta RC2. Still broken.

#2 - 09/19/2020 01:13 PM - Brian Flanagan
- Estimated time set to 2:00 h

#3 - 09/27/2020 05:49 PM - Francois Lionet
- Status changed from New to Resolved

- Assignee changed from AOZ Studio Team to Francois Lionet

Fixed!
